Bug 889476 - (kio-mtp) Review Request: kio_mtp - An MTP KIO slave for KDE
Review Request: kio_mtp - An MTP KIO slave for KDE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
: 889474 (view as bug list)
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-12-21 05:41 EST by Jan Grulich
Modified: 2015-11-01 20:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-13 23:08:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dvratil: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2012-12-21 05:41:54 EST
Spec URL: http://jgrulich.fedorapeople.org/kio-mtp.spec
SRPM URL: http://jgrulich.fedorapeople.org/kio-mtp-0.70-1.20121221gitccaa6d1.fc17.src.rpm
Description: Provides KIO Access to MTP devices. This KIO slave is necessary if you want access to MTP devices through application like Dolphin.
Fedora Account System Username: jgrulich

Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4810276
Comment 1 Jan Grulich 2012-12-21 05:58:38 EST
*** Bug 889474 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Vrátil 2012-12-23 13:54:03 EST
You don't have to run remove buildroot in %clean and you should ask upstream to include LICENSE file. Otherwise it looks good.
Comment 3 Kevin Kofler 2012-12-23 20:54:02 EST
So, as we've been discussing on IRC recently, I think this should be called kio_mtp rather than kio-mtp, but I'm not sure my opinion is the consensus.
Comment 4 Kevin Kofler 2012-12-24 09:43:46 EST
(See also the kio-upnp-ms review.)
Comment 5 Jan Grulich 2012-12-26 05:39:28 EST
Updated
=======

Spec URL: http://jgrulich.fedorapeople.org/kio_mtp.spec
SRPM URL: http://jgrulich.fedorapeople.org/kio_mtp-0.70-2.20121225gitfae62fc.fc17.src.rpm

* Thu Dec 25 2012 Jan Grulich <jgrulich@redhat.com> - 0.70-2.20121225gitfae62fc
- Add LICENCE file
- Remove %clean
- Change name
Comment 6 Jan Grulich 2012-12-27 08:51:36 EST
New Package SCM Request
=======================
Package Name: kio_mtp
Short Description: MTP KIO slave for KDE
Owners: jgrulich
Branches: f17 f18
InitialCC: rdieter dvratil
Comment 7 Kevin Fenzi 2012-12-30 15:55:09 EST
A few items: 

1. Please include checkout info for the source per:  
http://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control

2. Package review guidelines list as a MUST adding the rpmlint output 
to the review. :) 

kio_mtp.src: E: invalid-spec-name

(your spec in src.rpm still has the - instead of the _)

kio_mtp.src:49: W: macro-in-%changelog %clean

Should use %% :) 

kio_mtp.src: E: specfile-error warning: bogus date in %changelog: Thu Dec 25 2012 Jan Grulich <jgrulich@redhat.com> - 0.70-2.20121225gitfae62fc

Tue? 

kio_mtp-debuginfo.i686: W: spelling-error Summary(en_US) kio -> oik, kip, kilo
kio_mtp-debuginfo.i686: W: spelling-error Summary(en_US) mtp -> mt, mp, map
kio_mtp-debuginfo.i686: W: spelling-error %description -l en_US kio -> oik, kip, kilo
kio_mtp-debuginfo.i686: W: spelling-error %description -l en_US mtp -> mt, mp, map
kio_mtp-debuginfo.x86_64: W: spelling-error Summary(en_US) kio -> oik, kip, kilo
kio_mtp-debuginfo.x86_64: W: spelling-error Summary(en_US) mtp -> mt, mp, map
kio_mtp-debuginfo.x86_64: W: spelling-error %description -l en_US kio -> oik, kip, kilo
kio_mtp-debuginfo.x86_64: W: spelling-error %description -l en_US mtp -> mt, mp, map
5 packages and 0 specfiles checked; 2 errors, 9 warnings.

Can all be ignored. ;)
Comment 8 Kevin Fenzi 2012-12-30 16:04:05 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-12-31 06:54:40 EST
kio_mtp-0.70-2.20121225gitfae62fc.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kio_mtp-0.70-2.20121225gitfae62fc.fc17
Comment 10 Fedora Update System 2012-12-31 06:56:03 EST
kio_mtp-0.70-2.20121225gitfae62fc.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kio_mtp-0.70-2.20121225gitfae62fc.fc18
Comment 11 Fedora Update System 2012-12-31 19:15:51 EST
kio_mtp-0.70-2.20121225gitfae62fc.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-01-13 23:08:47 EST
kio_mtp-0.70-2.20121225gitfae62fc.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-01-13 23:14:10 EST
kio_mtp-0.70-2.20121225gitfae62fc.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.